﻿using System.Collections;
using System.Collections.Generic;
using UnityEngine;

public class EngineSound : MonoBehaviour
{

    public AudioSource engineHum;
    public float BasePitch = 1f;
    public float VelToPitchShiftFactor = 0.01f;
    private Rigidbody rb;

    void Start()
    {
        rb = GetComponent<Rigidbody>();
    }

    void Update()
    {
        engineHum.pitch = BasePitch + rb.velocity.ToHoriz().magnitude * VelToPitchShiftFactor;
    }
}
