﻿using UnityEngine;
using ScrambleKit.FX;
using UnityEngine.SceneManagement;
using UnityEngine.UI;

public class GameOverScene : MonoBehaviour
{
    public Text score;
    public string soundName = "GameOver";
    
    void Start()
    {
        if(score != null)
            score.text = "Final Score: " + Combo.TotalScore + "\nBest Combo: " + Combo.BestCombo + "x";

        Invoke("Speak", 1);
    }

    private void Speak()
    {
        if(soundName != "")
            SoundFX.PlaySound(soundName);
    }

    void Update()
    {
        if (Input.GetMouseButtonDown(0))
            SceneManager.LoadScene("PlayScene");
        else if (Input.GetKeyDown(KeyCode.Escape))
            Application.Quit();
    }


}
