﻿using UnityEngine;
using UnityEngine.UI;
using ScrambleKit.Hits;
using ScrambleKit.Game;

namespace ScrambleKit.UI
{
    public class PlayerHitPointsPip : MonoBehaviour
    {

        public int Number;
        public Sprite None;
        public Sprite Empty;
        public Sprite Full;

        private Image image;
        private HitPoints hp;

        void Start()
        {
            image = transform.GetComponent<Image>();
        }

        void Update()
        {
            if (image == null)
                return;

            if (Mother.instance.HitPoints >= Number)
                image.sprite = Full;
            else if (Mother.instance.MaxHitPoints >= Number)
                image.sprite = Empty;
            else
                image.sprite = None;
        }
    }
}