﻿using UnityEngine;

public class MouseAim : MonoBehaviour 
{
    public Transform Turret;
    public float leanOffset;

    public float maxSideAim = 45;
    public float SensitivityX = 15F;
    public float SensitivityY = 15F;

    public float MinX = -360F;
    public float MaxX = 360F;
    public float MinY = -60F;
    public float MaxY = 60F;

	public float turretRotationOffset = 0;

	private float rotationY = 0F;

    void Start () 
	{
        Cursor.lockState = CursorLockMode.Locked;
        Cursor.visible = false;
    }
	
	void Update () 
	{
        if (Input.GetKeyDown(KeyCode.Escape))
        {
            Cursor.lockState = CursorLockMode.None;
            Cursor.visible = true;
        }

        float rotationX = Turret.localEulerAngles.y + Input.GetAxis("Mouse X") * SensitivityX;
        rotationX = Mathf.Clamp((rotationX+180)%360, 180 - maxSideAim, 180 + maxSideAim) - 180;

        // 10  = 10
        // 350 = 45  X

        // 10:  190        = 190 = 10
        // 350: 530 -> 170 = 170 = -10
        // 60:  240 -> clamp to 225 = 45

        rotationY += Input.GetAxis("Mouse Y") * SensitivityY;
        rotationY = Mathf.Clamp(rotationY, MinY, MaxY);
        float totalY = Mathf.Clamp(rotationY + leanOffset, MinY, MaxY);

        // rotationX = Mathf.Clamp((rotationX + 180) % 360, 180 - maxSideAim, 180 + maxSideAim) - 180;

        // transform.localEulerAngles = new Vector3(0, rotationX, 0);
        Turret.localEulerAngles = new Vector3(turretRotationOffset - (totalY), rotationX, 0);
    }
}
