﻿using UnityEngine;

public class PlayerMoveInput : MonoBehaviour
{
    private PlayerMovement move;
    private PlayerMovementTr tmove;
    void Start() { move = GetComponent<PlayerMovement>(); tmove = GetComponent<PlayerMovementTr>(); }

    void Update()
    {
        tmove.walkInputDir = new Vector2(0, 1).normalized;

        //CheckMoveInputs();
        //CheckJumpInput();
    }

    private void CheckJumpInput()
    {
        if (Input.GetKeyDown(KeyCode.Space))
        {
            if (move != null)
                move.TriggerJump();
            if (tmove != null)
                tmove.TriggerJump();
        }
    }

    private void CheckMoveInputs()
    {
        float x = 0; // left/right
        float y = 0; // fwd/back

        if (Input.GetKey(KeyCode.S))
            x = -1;
        else if (Input.GetKey(KeyCode.F))
            x = 1;

        if (Input.GetKey(KeyCode.D))
            y = -1;
        else if (Input.GetKey(KeyCode.E))
            y = 1;

        if(move != null)
            move.walkInputDir = new Vector2(x, y).normalized;
        if (tmove != null)
            tmove.walkInputDir = new Vector2(x, y).normalized;

    }
}
