﻿using System.Collections.Generic;
using UnityEngine;

namespace ScrambleKit.FX
{
    [System.Serializable]
    public class SoundEntry
    {
        public string Name;
        public List<AudioClip> Sounds;
        public bool Optional;
        public float PitchVariance;
        public float Volume = 1.0f;
    }

    [CreateAssetMenu]
    public class SoundLibrary : ScriptableObject
    {
        public float MasterVolume = 1.0f;
        public List<SoundEntry> Sounds;
    }
}