﻿using System.Collections.Generic;
using UnityEngine;

namespace ScrambleKit.Hits
{
    [System.Serializable]
    public class HitInfo
    {
        public int Damage = 1;
        public float KnockBackPower = 12;
        public float StunTime = 0.15f;
        public List<string> DamageTypes;

        public Vector2 Direction { get; set; }

        public static HitInfo BuildSimplePush(Vector2 dir, float power)
        {
            return new HitInfo() { Damage = 0, Direction = dir, KnockBackPower = power, StunTime = 0 };
        }
    }
}